%global momorel 2
%global srcrel 125137
%global srcname moodbar_generator.amarokscript
%global amarokver 2.3.0.90

Summary: A script for amarok auto-generating moodbar files
Name: moodbar_generator
Version: 0.21
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://kde-apps.org/content/show.php/Moodbar+Generator?content=125137
Source0: http://kde-apps.org/CONTENT/content-files/%{srcrel}-%{srcname}.tar.gz
# NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: amarok >= %{amarokver}
# _kde4 macros need cmake
BuildRequires: cmake
BuildRequires: coreutils

%description
This is an Amarok2 script.
Automatically generates moodbar files for currently playing song.

%prep
%setup -q -n %{name}

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_kde4_appsdir}/amarok/scripts/%{name}
install -m 644 main.js %{buildroot}%{_kde4_appsdir}/amarok/scripts/%{name}/
install -m 644 script.spec %{buildroot}%{_kde4_appsdir}/amarok/scripts/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_kde4_appsdir}/amarok/scripts/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.21-2m)
- full rebuild for mo7 release

* Fri May 28 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.21-1m)
- initial package for music freaks using Momonga Linux
